#ifndef SPRITE_LOADER_H
#define SPRITE_LOADER_H

#include <SDL/SDL.h>

SDL_Surface* loadSDLImageSprite(const char* spritePath);
SDL_Surface* loadSDLImageSpriteOptimised(const char* spritePath);

SDL_Surface* loadBMPSprite(const char* spritePath);
SDL_Surface* loadBMPSpriteOptimised(const char* spritePath);
SDL_Surface* loadBMPSpriteColorKey(const char* spritePath);
SDL_Surface* loadBMPSpriteColorKeyOptimised(const char* spritePath);

#endif
